cURL
updateMode 的两种模式:OVERWRITE 会替换文件的全部现有标签;APPEND 在现有标签基础上追加。Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
批量更新多个文件的标签,支持覆盖和追加两种模式
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/connector/dash/batchUpdateFileTag" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"fileInfos": [
{"fileId": "file_abc123", "tags": ["产品", "V2"]},
{"fileId": "file_def456", "tags": ["FAQ"]}
],
"updateMode": "OVERWRITE"
}'{
"code": "Success",
"status_code": 200,
"data": {},
"requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}updateMode 的两种模式:OVERWRITE 会替换文件的全部现有标签;APPEND 在现有标签基础上追加。DashScope API Key,在控制台 API Key 页面(https://agent.console.aliyun.com/settings/apikey)获取。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/connector/dash/batchUpdateFileTag" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"fileInfos": [
{"fileId": "file_abc123", "tags": ["产品", "V2"]},
{"fileId": "file_def456", "tags": ["FAQ"]}
],
"updateMode": "OVERWRITE"
}'{
"code": "Success",
"status_code": 200,
"data": {},
"requestId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}